<tr [class]="'mo-row ' + designClass" [@inOutAnimation]>
  <td
    *ngIf="!!rowDetailTemplate"
    class="'table-content icon-container mo-col mo-col-1"
  >
    <div class="mo-cell" (click)="onToggleDetails(row)">
      <i
        class="icon uil"
        [ngClass]="showDetails ? 'uil-angle-up' : 'uil-angle-down'"
      ></i>
    </div>
  </td>
  <td
    *ngFor="let header of headers; first as isFirst"
    [ngClass]="{
      'sticky-col': firstColumnFixed && isFirst,
      'fixed-min-width': fixedMinWidth,
      clickable: urlRow
    }"
    [class]="'table-content mo-col mo-col-' + header?.size"
    (click)="onGoToUrlRow(header)"
  >
    <table-cell
      [header]="header"
      [row]="row"
      [urlRow]="urlRow"
      [urlRowIdentifier]="urlRowIdentifier"
    ></table-cell>
  </td>
</tr>
<tr class="mo-row__expandable" *ngIf="!!rowDetailTemplate && showDetails">
  <ng-container *ngIf="!isLoadingRowDetailTemplate; else loadingDetails">
    <!-- template reference detail row -->
    <ng-container
      [ngTemplateOutlet]="rowDetailTemplate"
      [ngTemplateOutletContext]="{ row: row }"
    >
    </ng-container>
  </ng-container>
</tr>
<ng-template #loadingDetails>
  <div class="mo-row__expandable--loader">
    <div *ngFor="let loaderColumns of loaderDetailsColums">
      <layout-skeleton
        *ngFor="let skeleton of skeletons"
        [skeleton]="skeleton"
      ></layout-skeleton>
    </div>
  </div>
</ng-template>
